Package org.opensaml.security.x509.impl

# Class BasicPKIXValidationInformation

java.lang.Object
org.opensaml.security.x509.impl.BasicPKIXValidationInformation

All Implemented Interfaces:
  `PKIXValidationInformation`

public class BasicPKIXValidationInformation extends Object implements PKIXValidationInformation
Basic implementation of `PKIXValidationInformation`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Collection<X509Certificate>`
`trustAnchors`
Certs used as the trust anchors.
`private final Collection<X509CRL>`
`trustedCRLs`
CRLs used during validation.
`private final Integer`
`verificationDepth`
Max verification depth during PKIX validation.

## Constructor Summary

Constructors
Constructor
Description
`BasicPKIXValidationInformation(Collection<X509Certificate> anchors, Collection<X509CRL> crls, Integer depth)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Collection<X509Certificate>`
`getCertificates()`
Gets the certificate trust anchors used during PKIX validation.
`Collection<X509CRL>`
`getCRLs()`
Gets the CRLs used during PKIX validation.
`Integer`
`getVerificationDepth()`
Gets the maximum allowable trust chain verification depth.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### trustAnchors

@Nullable private final Collection<X509Certificate> trustAnchors
Certs used as the trust anchors.

### trustedCRLs

@Nullable private final Collection<X509CRL> trustedCRLs
CRLs used during validation.

### verificationDepth

@Nullable private final Integer verificationDepth
Max verification depth during PKIX validation.

## Constructor Details

### BasicPKIXValidationInformation

public BasicPKIXValidationInformation(@Nullable @ParameterName(name="anchors") Collection<X509Certificate> anchors, @Nullable @ParameterName(name="crls") Collection<X509CRL> crls, @Nullable @ParameterName(name="depth") Integer depth)
Constructor.

Parameters:
  `anchors` - certs used as trust anchors during validation
  `crls` - CRLs used during validation
  `depth` - max verification path depth

## Method Details

### getCRLs

@Nullable @Unmodifiable @NotLive public Collection<X509CRL> getCRLs()
Gets the CRLs used during PKIX validation.

Specified by:
  `getCRLs` in interface `PKIXValidationInformation`
Returns:
  CRLs used during PKIX validation

### getCertificates

@Nullable @Unmodifiable @NotLive public Collection<X509Certificate> getCertificates()
Gets the certificate trust anchors used during PKIX validation.

Specified by:
  `getCertificates` in interface `PKIXValidationInformation`
Returns:
  trust anchors used during PKIX validation

### getVerificationDepth

@Nullable public Integer getVerificationDepth()
Gets the maximum allowable trust chain verification depth.

Specified by:
  `getVerificationDepth` in interface `PKIXValidationInformation`
Returns:
  maximum allowable trust chain verification depth